%global momorel 1
%global src_date    20070723
%global htdocs_date 20070723
%global md5sum_src0 22b6e40e72a0b0054acedee148e07a34
%global md5sum_src1 034087e569cf4fc88b17b691149bdddd
%global md5sum_src2 a961e4e6b3deb9db2f930266cdf8d3e4

Name:        fontforge
License:     Modified BSD
Group:       Applications/Publishing
Version:     %{src_date}
Release: %{momorel}m%{?dist}
URL:         http://fontforge.sourceforge.net/
%NoSource 0  http://dl.sourceforge.net/sourceforge/fontforge/fontforge_full-%{src_date}.tar.bz2 %{md5sum_src0}
%NoSource 1  http://dl.sourceforge.net/sourceforge/fontforge/fontforge_htdocs-%{htdocs_date}.tar.bz2 %{md5sum_src1}
%NoSource 2  http://khdd.net/fontforge-jman.tar.gz %{md5sum_src2}
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
#BuildPreReq: libICE-devel, libSM-devel, libX11-devel, libXi-devel
BuildPreReq: libjpeg-devel, libtiff-devel, libpng-devel
BuildPreReq: freetype-devel >= 2.3.1-2m
Provides: %{_bindir}/fontforge
Obsoletes:   pfaedit
Summary:     A PostScript font editor

%description
Fontforge allows you to edit outline and bitmap fonts.  You can create
new ones or modify old ones.  It is also a font format converter and
can convert among PostScript (ASCII & binary Type 1, some Type 3s,
some Type 0s), TrueType, OpenType (Type2), CID-keyed and SVG fonts.

%prep
%setup -q -T -b 0 -n %{name}-%{src_date}
%{__mkdir} -m 755 docs
%{__tar} zxf %{S:1} -C docs/
%{__tar} zxf docs/cidmaps.tgz
%{__tar} zxf %{S:2} -C docs/

%build
cd docs/fontforge-jman
perl -pi -e 's|<IMG SRC=\"|<IMG SRC=\"../|g' *.html
cd -

libtoolize -c -f
aclocal
autoconf
%configure --without-freetype-src --with-multilayer --with-devicetables
%make

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}{%{_bindir},%{_libdir},%{_mandir}/man1,%{_datadir}/%{name}}
%makeinstall
%{__install} -m 644 Adobe-*.cidmap %{buildroot}%{_datadir}/%{name}

find %{buildroot} -name "*.la" -delete

%post
ldconfig

%postun
ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL LICENSE README* docs
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/fontforge
%{_datadir}/fontforge/*
%{_datadir}/locale/*/LC_MESSAGES/*
%{_mandir}/man1/*.1*

%changelog
* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (20070723-1m)
- update to 20070723 (src)
- update to 20070723 (doc)

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (20070501-1m)
- update to 20070511 (src)
- update to 20070501 (doc)

* Sat Apr  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (20070312-1m)
- update to 20070312 (src)
- update to 20070313 (doc)

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (20061220-3m)
- BuildPreReq: freetype2-devel -> freetype-devel

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (20061220-2m)
- delete libtool library

* Mon Jan  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (20061220-1m)
- update to 20061220 (both of src and doc)

* Sat Oct 28 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (20061025-1m)
- update to 20061025 (src) and 20061014 (doc)

* Sun Sep  3 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (20060822-1m)
- update to 20060822

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (20060703-1m)
- update to 20060703

* Tue May 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (20060408-2m)
- delete duplicated dir

* Thu Apr 13 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (20060408-1m)
- update to 20060408

* Sat Feb 11 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (20060125-1m )
- update to 20060125

* Mon Dec 26 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (20051205-3m)
- add more configure options.

* Fri Dec  9 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (20051205-2m)
- revise image path of japanese manual.

* Fri Dec  9 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (20051205-1m)
- add japanese manual.

* Thu Feb 24 2005 Kazuhiko <kazuhiko@fdiary.net>
- (20050209-1m)
- PfaEdit has changed its name to FontForge
- remove mplus.patch

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (040130-1m)

* Mon Jan 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (040111-1m)

* Thu Dec 18 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (031210-2m)
- add patch0 from http://mplus-fonts.sourceforge.jp/mplus-outline-fonts/

* Tue Dec 16 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (031210-1m)

* Fri Nov  7 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (031029-1m)

* Sat Oct 25 2003 Kazuhiko <kazuhiko@fdiary.net>
- (031023-1m)

* Sun Oct  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (031002-1m)

* Sat Jun 28 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (030619-2m)
- now our XFree86 has Xutf8* functions. so removed a patch
- related Xutf8*

* Fri Jun 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (030619-1m)

* Wed Jun  4 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (030518-1m)

* Sat Jan 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (030109-1m)

* Thu Dec 26 2002 Kazuhiko <kazuhiko@fdiary.net>
- (021223-1m)
- remove 'pfaedit-0x2141_is_wavedash.patch' because it was merged

* Fri Dec 13 2002 Kazuhiko <kazuhiko@fdiary.net>
- (021211-1m)

* Mon Dec  9 2002 Kazuhiko <kazuhiko@fdiary.net>
- (021208-1m)
- docs-021208

* Tue Nov 26 2002 Kazuhiko <kazuhiko@fdiary.net>
- (021125-1m)
- version up

* Sat Nov 16 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (021113-1m)
- version up.

* Mon Oct 28 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (021026-1m)
- ver up.

* Wed Oct 23 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (021021-2m)
- ver up.
- modified patch0
- add patch1

* Sat Oct 19 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (021018-1m)
- ver up.

* Fri Oct 18 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (020910-1m)
- version down...(T_T)
  ("ver. 020911" had some bugs...it was unstable.)

* Tue Oct 15 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (020911-1m)
- first import for momonga project.
